> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Worked Holidays



## OpenAPI

````yaml GET /schedule/v1/worked-holidays
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/worked-holidays:
    get:
      tags:
        - Worked holidays
      summary: List Worked Holidays
      operationId: ListWorkedHolidays
      parameters:
        - in: query
          name: employeeId
          description: The id of the employee
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: from
          description: Y-m-d
          required: true
          schema:
            type: string
            format: date
        - in: query
          name: to
          description: Y-m-d
          required: true
          schema:
            type: string
            format: date
        - in: query
          name: limit
          description: Limit worked holidays
          schema:
            type: integer
            default: 20
        - in: query
          name: page
          description: Request a specific page
          schema:
            type: integer
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        comment:
                          type: string
                        compensatedDayOffViews:
                          type: object
                          properties:
                            date:
                              type: string
                              format: Y-m-d
                              example: '2020-01-01'
                            id:
                              type: string
                              format: uuid
                        employeeId:
                          type: string
                          format: uuid
                        holidayDayOffView:
                          type: object
                          properties:
                            date:
                              type: string
                              format: Y-m-d
                              example: '2020-01-01'
                            id:
                              type: string
                              format: uuid
                        id:
                          type: string
                          format: uuid
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer:
            - ''
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````